<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
    $fecha1 =$_POST['fecha_i'];

  $fecha2 =$_POST['fecha_f'];

$q2 = "SELECT transacciones.idtransacciones, usuarios_ci_idusuarios_ci, consec, fechat, rfc, nombre, appat, apmat, ciudad, voucher.idv, voucher FROM transacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join asignavoucher on transacciones.idtransacciones=asignavoucher.idtransacciones join voucher on asignavoucher.idv=voucher.idv WHERE voucher>=1 and estados_idestado=13 and usuarios_ci_idusuarios_ci=10 and fechat between '2016-01-01' and '2016-12-31' 
ORDER BY transacciones.idtransacciones";
 
 /*
$q2 = "SELECT transacciones.idtransacciones, usuarios_ci_idusuarios_ci, consec, fechat, rfc, nombre, appat, apmat, ciudad, voucher.idv, voucher FROM transacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join asignavoucher on transacciones.idtransacciones=asignavoucher.idtransacciones join voucher on asignavoucher.idv=voucher.idv WHERE voucher>=1 and estados_idestado=13 and usuarios_ci_idusuarios_ci=85 and fechat between '2017-01-01' and '2017-06-31' 
ORDER BY transacciones.idtransacciones";
 */ 
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><b>Vouchers realizados en el periodo</b><br><br></font><table border=\"1\"> <tr>
			<th>trans</th><th>pedido</th><th>fecha</th><th>rfc</th><th>nombre</th>
			<th>ciudad</th><th>voucher</th><th>utilizado</th><th>a favor de</th><th>creado</th><th></th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	   $a6 = $r1[6];
	   $a7 = $r1[7];
	   $a8 = $r1[8];
	   $a9 = $r1[9];
	   $a10 = $r1[10];
	   
	 	  
echo"<tr><td>$a0</td><td>$a1 - $a2</td><td>$a3</td><td>$a4</td><td>$a5 $a6 $a7</td><td>$a8</td><td>$a9</td><td>$a10</td>";

 $qp3 = "SELECT idv, nombre, appat, apmat, ciudad, fecha_cre from voucher join inversionista on inversionista.id_inver=voucher.id_inv where idv='$a9'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp3 = mysqli_fetch_object($cp3);	
//	$idcentro = $rp3->idcd;

echo"<td>$rp3->nombre $rp3->appat $rp3->apmat</td><td>$rp3->ciudad</td><td>$rp3->fecha_cre</td></tr>";
/*	
echo"<td><form name=\"busca\" action=\"infovou2.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=voucher value=$a0 />
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver info\" /></form></td>
</tr>";

*/

	}
	echo"</table><br>";
	

     

	 //$status="";

   

	?>
	